#ifndef OUTPUT_H
#define OUTPUT_H

typedef enum { OFF, ON, TOGGLE, BLINK, FLASH_ONCE } LedState;
typedef struct HwOutput HwOutput;

extern void outAdd(const HwOutput *hw);
extern void outInit(void);
extern void outExit(struct kobject *obj);
extern void outCreateSysFs(struct kobject *obj);

extern void outLedSet(const char *led, LedState s);
extern int outPrintStats(char *buf, size_t size);

#endif /*OUTPUT_H*/
