#ifndef RPI_H
#define RPI_H

#define GPIO_BASE_BCM2835 0x20200094
#define GPIO_BASE_BCM2836 0x3F200094

extern const char *rpiGetProcessor(void);
extern const char *rpiGetType(void);
extern const char *rpiGetBoardRevision(void);
extern const char *rpiGetManufacturer(void);
extern unsigned rpiGetMemorySizeInMB(void);
extern const char *rpiGetMemorySize(void);

extern unsigned rpiGetArmMainIdReg(void);
extern const char * rpiGetArmPart(void);
extern const char * rpiGetArmRevision(void);

extern int rpiIsBCM2835(void);

#endif /* RPI_H */
